from machine import Pin, ADC # Importem llibreria i funcions
from time import sleep_ms # Importem llibreria i funció

xpin = ADC(Pin(36)) # Emprarem ADC "analog to digital conversion" al pin 36
xpin.atten(ADC.ATTN_11DB)  # Voltatge max: 3.3v llavors eixida sera 4095
ypin = ADC(Pin(35)) # Emprarem ADC "analog to digital conversion" al pin 35
ypin.atten(ADC.ATTN_11DB)  # Voltatge max: 3.3v llavors eixida sera 4095
zpin = ADC(Pin(34)) # Emprarem ADC "analog to digital conversion" al pin 34
zpin.atten(ADC.ATTN_11DB)  # Voltatge max: 3.3v llavors eixida sera 4095

#Definició de constants
zero_G=2047.5 # ADC is 0-4095 la sortida zero_g equival a Vs/2 
escala=409.5 # ADXL335 sensitivitat es 330 mv/g llavors escala= 4095*0.33/3.3
X = [] #Llista/Matriu X
Y = [] #Llista/Matriu Y
Z = [] #Llista/Matriu Z


for x in range(0, 100): # Repetim el cicle 100 vegades
    print("  " ) # Liniea en Blanc
    
    print("iteracio = " , x)
    x = xpin.read() # llegim xpin.read() i ho guardem en la variable x
    print("Lectura_x = ", x)
    X.append(x) # Afegim el valor x a la matriu X
    ax=(x-zero_G)/escala # Càlcul del valor acceleració en x
    y = ypin.read() # llegim ypin.read() i ho guardem en la variable y
    print("Lectura_y = ",y)
    Y.append(y) # Afegim el valor y a la matriu Y
    ay=(y-zero_G)/escala # Càlcul del valor acceleració en y
    z = zpin.read() # llegim zpin.read() i ho guardem en la variable z
    print("Lectura_y = ",y)
    Z.append(z) # Afegim el valor z a la matriu Z
    az=(z-zero_G)/escala # Càlcul del valor acceleració en z
    print(ax, ay, az , " m/s2")
    sleep_ms(10) # Parem el temps 10 mil·lisegons 
    
print("  " ) # Liniea en Blanc

totalX = sum(X) # Suma dels valors de la matriu X
totalY = sum(Y) # Suma dels valors de la matriu Y
totalZ = sum(Z) # Suma dels valors de la matriu Z
zero_Gx = totalX/100 # Mitjana de 100 valors
zero_Gy = totalY/100 # Mitjana de 100 valors
zero_Gz = totalZ/100 # Mitjana de 100 valors

print("  " ) # Liniea en Blanc
print ("zero_Gx = ", zero_Gx)
print ("zero_Gy = ", zero_Gy)
print ("zero_Gz = ", zero_Gz)